org.apache.sysds.runtime.privacy.propagation

## Class MatrixMultiplicationPropagatorPrivateFirstOptimized

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator
  - - org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagatorPrivateFirstOptimized

All Implemented Interfaces:
  Propagator

    public class MatrixMultiplicationPropagatorPrivateFirstOptimized
    extends MatrixMultiplicationPropagator

MatrixMultiplicationPropagator that overrides generateFineGrainedConstraints by finding the private elements first while propagating PrivateAggregation in case of non-aggregating operator types. This is an optimized version of MatrixMultiplicationPropagatorPrivateFirst since it does both kinds of propagation in the same loop.

### Constructor Summary

Constructors
Constructor and Description
`MatrixMultiplicationPropagatorPrivateFirstOptimized()`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.privacy.propagation.MatrixMultiplicationPropagator

`getOperatorTypesCol, getOperatorTypesRow, propagate, setFields`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixMultiplicationPropagatorPrivateFirstOptimized

    public MatrixMultiplicationPropagatorPrivateFirstOptimized()